aboutsummaryrefslogtreecommitdiffstats
path: root/python2-numpydoc [disowned]/watch
diff options
context:
space:
mode:
authorMattias Andrée <maandree@kth.se>2016-03-09 17:44:17 +0100
committerMattias Andrée <maandree@kth.se>2016-03-09 17:44:17 +0100
commitceaf2c7950ebd792ca569ad538f126ff2aaa617a (patch)
treebfc840f8d1d23dd4a893776b59a1b9017370626f /python2-numpydoc [disowned]/watch
parentupdate python2-numpydoc (diff)
downloadaur-packages-ceaf2c7950ebd792ca569ad538f126ff2aaa617a.tar.gz
aur-packages-ceaf2c7950ebd792ca569ad538f126ff2aaa617a.tar.bz2
aur-packages-ceaf2c7950ebd792ca569ad538f126ff2aaa617a.tar.xz
disowning python2-numpydoc
Signed-off-by: Mattias Andrée <maandree@kth.se>
Diffstat (limited to 'python2-numpydoc [disowned]/watch')
-rwxr-xr-xpython2-numpydoc [disowned]/watch20
1 files changed, 20 insertions, 0 deletions
diff --git a/python2-numpydoc [disowned]/watch b/python2-numpydoc [disowned]/watch
new file mode 100755
index 0000000..d51351b
--- /dev/null
+++ b/python2-numpydoc [disowned]/watch
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+[ -f 'index.html' ] && rm 'index.html'
+wget https://pypi.python.org/pypi/numpydoc >/dev/null 2>/dev/null
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ grep numpydoc- < index.html | md5sum > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'python2-numpydoc'
+ fi
+ rm index.html
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'python2-numpydoc (unfetchable)'
+fi
+